from matrix import *

m1 = matrix(1,2,3,4,5,6,7,8,9)
m2 = matrix(1,0,0,0,1,0,0,0,1)
m1.printM()
m2.printM()

m3 = m1.transpose()
m3.printM()

v1 = vector(1,2,3)
v2 = m1.multV(v1)
v2.printV()

m2.rotationX(30.0)
m2.printM()
